from django.db import models

class Parent(models.Model):
    project_num = models.CharField(max_length=32)
    name = models.CharField(max_length=256)


class Project(models.Model):
    parent = models.ForeignKey(Parent, on_delete=models.CASCADE)
    name = models.CharField(max_length=256)


class Task(models.Model):
    project = models.ForeignKey(Project, on_delete=models.CASCADE)
    date = models.DateField(null=False)
    duration = models.IntegerField(null=False, default=0)
